package com.ruoyi.project.ehs.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.ehs.mapper.TEnvironapprcontMapper;
import com.ruoyi.project.ehs.domain.TEnvironapprcont;
import com.ruoyi.project.ehs.service.ITEnvironapprcontService;

/**
 * 环保批文主要内容Service业务层处理
 *
 * @author ruoyi
 * @date 2020-11-27
 */
@Service
public class TEnvironapprcontServiceImpl implements ITEnvironapprcontService
{
    @Autowired
    private TEnvironapprcontMapper tEnvironapprcontMapper;

    /**
     * 查询环保批文主要内容
     *
     * @param id 环保批文主要内容ID
     * @return 环保批文主要内容
     */
    @Override
    public TEnvironapprcont selectTEnvironapprcontById(Long id)
    {
        return tEnvironapprcontMapper.selectTEnvironapprcontById(id);
    }

    /**
     * 查询环保批文主要内容列表
     *
     * @param tEnvironapprcont 环保批文主要内容
     * @return 环保批文主要内容
     */
    @Override
    public List<TEnvironapprcont> selectTEnvironapprcontList(TEnvironapprcont tEnvironapprcont)
    {
        return tEnvironapprcontMapper.selectTEnvironapprcontList(tEnvironapprcont);
    }

    /**
     * 新增环保批文主要内容
     *
     * @param tEnvironapprcont 环保批文主要内容
     * @return 结果
     */
    @Override
    public int insertTEnvironapprcont(TEnvironapprcont tEnvironapprcont)
    {
        return tEnvironapprcontMapper.insertTEnvironapprcont(tEnvironapprcont);
    }

    /**
     * 修改环保批文主要内容
     *
     * @param tEnvironapprcont 环保批文主要内容
     * @return 结果
     */
    @Override
    public int updateTEnvironapprcont(TEnvironapprcont tEnvironapprcont)
    {
        return tEnvironapprcontMapper.updateTEnvironapprcont(tEnvironapprcont);
    }

    /**
     * 批量删除环保批文主要内容
     *
     * @param ids 需要删除的环保批文主要内容ID
     * @return 结果
     */
    @Override
    public int deleteTEnvironapprcontByIds(Long[] ids)
    {
        return tEnvironapprcontMapper.deleteTEnvironapprcontByIds(ids);
    }

    /**
     * 删除环保批文主要内容信息
     *
     * @param id 环保批文主要内容ID
     * @return 结果
     */
    @Override
    public int deleteTEnvironapprcontById(Long id)
    {
        return tEnvironapprcontMapper.deleteTEnvironapprcontById(id);
    }
}
